Subject: Re: BCM4313 & brcmsmac & 3.12: only semi-working?

From: Michael Tokarev <[email-masked]>
Date: Tue, 23 Sep 2014 18:25:02 +0400

23.09.2014 17:50, Arend van Spriel wrote:
> On 09/23/14 15:44, Seth Forshee wrote:
[]
>> Well, there are a few different trace events defined for brcmsmac. This
>> would enable the full set:
>>
>>   $ trace-cmd record -e brcmsmac -e brcmsmac_tx -e brcmsmac_msg
>>
>> It's been quite some time since I used them, but I think brcmsmac_tx is
>> quite noisy so you may only want to enable that if you already suspect a
>> tx problem. I always find it useful to enable the mac80211 and
>> mac80211_msg events too when debugging wireless, and I often enable
>> cfg80211 events as well (none of these are especially verbose).
> 
> Ah, I read back the email from Sep 21 and it says:
> 
> trace-cmd record brcmsmac:* &
> 
> I am surprised the capture contains something as -e is missing. Good to know there are different tracers for the driver.
> 
>> Of course all of this depends on having the right config options
>> selected. Looks like the relevant options are CONFIG_BRCM_TRACING and
>> CONFIG_MAC80211_MESSAGE_TRACING.

So, what should I enable?  I guess there's a suspection of tx path
problem (since according to tcpdump, the other side sends packets
our way, but our side does not receive them), so -e brcmsmac_tx
shold be okay to enable (and should be easy to filter out if
needed, too, I guess).  And using -e, now too, like this:

 trace-cmd record -e brcmsmac -e brcmsmac_tx -e brcmsmac_msg -e mac80211 -e mac80211 -e cfg80211

http://www.corpit.ru/mjt/tmp/brcmsmac-4313-trace-201409232.dat.gz is
the result from the following:

 modprobe brcmsmac (networkmanager is running)
 trace-cmd as above &
 wget http://ip-add-ress/random-file -O /dev/null

I waited for wget to stall (it d'loaded 240Kb) and hit
Ctrl+C.

The trace file isn't really that huge.

Thank you!

/mjt